package com.dev.swms.server.model.fee;

import java.util.Date;

import com.dev.energy.server.model.Entity;

import com.dev.swms.server.model.base.Structure;

/**
 * 费用信息
 * @author 44700
 *
 */
public class Fee extends Entity{
	private Structure company;//所属客户
	private FeeType feeName; //费用名称
	private Long orderId; //订单ID
	private String orderCode; //订单号
	private String payOrReceive;//应收/应付
	private double feeMenoy=0;//费用金额
	private double tax=0;//税率
	private double quantity=0;//数量
	private String unit;//计量单位
	private String status;//状态
	private String description;//备注
	private String creatPeople;//创建人
	private Date feeDate;//创建时间	
	private Date creatDate;//创建时间	
	private BillFee billFee;//对账单对象
	private double price=0;//单价
	/**ASN,PICK*/
	private String type;
	private String remark;
	private Long rateId; //订单ID

	
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Long getRateId() {
		return rateId;
	}
	public void setRateId(Long rateId) {
		this.rateId = rateId;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public Date getFeeDate() {
		return feeDate;
	}
	public void setFeeDate(Date feeDate) {
		this.feeDate = feeDate;
	}
	public double getPrice() {
		return price;
	}
	public void setPrice(double price) {
		this.price = price;
	}
	public String getOrderCode() {
		return orderCode;
	}
	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}
	public BillFee getBillFee() {
		return billFee;
	}
	public void setBillFee(BillFee billFee) {
		this.billFee = billFee;
	}
	public Structure getCompany() {
		return company;
	}
	public void setCompany(Structure company) {
		this.company = company;
	}
	public FeeType getFeeName() {
		return feeName;
	}
	public void setFeeName(FeeType feeName) {
		this.feeName = feeName;
	}
	public Long getOrderId() {
		return orderId;
	}
	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}
	public String getPayOrReceive() {
		return payOrReceive;
	}
	public void setPayOrReceive(String payOrReceive) {
		this.payOrReceive = payOrReceive;
	}
	public double getFeeMenoy() {
		return feeMenoy;
	}
	public void setFeeMenoy(double feeMenoy) {
		this.feeMenoy = feeMenoy;
	}
	public double getTax() {
		return tax;
	}
	public void setTax(double tax) {
		this.tax = tax;
	}
	public double getQuantity() {
		return quantity;
	}
	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}
	public String getUnit() {
		return unit;
	}
	public void setUnit(String unit) {
		this.unit = unit;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getCreatPeople() {
		return creatPeople;
	}
	public void setCreatPeople(String creatPeople) {
		this.creatPeople = creatPeople;
	}
	public Date getCreatDate() {
		return creatDate;
	}
	public void setCreatDate(Date creatDate) {
		this.creatDate = creatDate;
	}
}
